Package Details: grive 0.5.0-14

Git Clone URL: https://aur.archlinux.org/grive.git (read-only)
Package Base: grive
Description: An open source Linux client for Google Drive with support for the new Drive REST API and partial sync
Upstream URL: https://github.com/vitalif/grive2
Keywords: drive Google grive2 sync vitalif
Licenses: GPL2
Submitter: mrbit
Maintainer: edh
Last Packager: edh
Votes: 277
Popularity: 1.597044
First Submitted: 2012-04-29 22:26
Last Updated: 2019-01-17 20:14

Latest Comments

1 2 3 4 5 6 ... Next › Last »

jkfurrer commented on 2019-01-17 19:45

@Tharbad @edh : I can confirm that simply rebuilding the package resolves missing boost libraries. It appears that boost-libs has been updated from 1.68 to 1.69, but grive was still looking for 1.68 libraries.

edh commented on 2018-12-09 16:47

@Tharbad Great! If something surfaces where a change in the AUR package can help, please let me know.

Tharbad commented on 2018-12-09 11:59

@edh: That's what I did

edh commented on 2018-12-09 11:28

@Tharbad Try rebuilding the package and see whether it works afterwards. In case it doesn't, please file a bug report upstream.

Tharbad commented on 2018-12-09 09:00

Getting boost errors. Tried git version too.

edh commented on 2018-11-08 14:30

@tjc The objective of this package is to track stable releases. I admit that the 0.5.1-dev release has been around for a while but it has not been officially released yet, let alone been tagged in git. I would highly encourage you to contact upstream and motivate them to create a new release.

tjc commented on 2018-11-07 23:25

When will this package be updated to Grive2 v0.5.1-dev?

That version supports a .griveignore file which is critical.

Tharbad commented on 2018-09-25 12:47

Edit: Nevermind, reinstalled grive-tools and it solved itself.

Doesn't work. Found this in the logs:

exception: /tmp/yay/grive/src/grive2-0.5.0/libgrive/src/protocol/AuthAgent.cc(142): Throw in function long int gr::AuthAgent::CheckHttpResponse(long int, const string&, const gr::http::Header&) Dynamic exception type: boost::exception_detail::clone_impl<gr::http::error> [gr::expt::BacktraceTag*] = #0 0x55915c17d2f7 grive gr::Exception::Exception()</gr::http::error>

1 0x55915c16c7e0 grive gr::AuthAgent::CheckHttpResponse(long, std::__cxx11::basic_string<char, std::char_traits<char="">, std::allocator<char> > const&, gr::http::Header const&)</char></char,>
2 0x55915c16cf6e grive gr::AuthAgent::Request(std::cxx11::basic_string<char, std::char_traits<char="">, std::allocator<char> > const&, std::</char></char,>cxx11::basic_string<char, std::char_traits<char="">, std::allocator<char> > const&, gr::SeekStream, gr::DataStream, gr::http::Header const&)</char></char,>
3 0x55915c19f3a1 grive gr::http::Agent::Get(std::__cxx11::basic_string<char, std::char_traits<char="">, std::allocator<char> > const&, gr::DataStream*, gr::http::Header const&)</char></char,>
4 0x55915c19dbab grive gr::v2::Feed2::GetNext(gr::http::Agent*)
5 0x55915c136b19 grive gr::Drive::DetectChanges()
6 0x55915c12868d grive Main(int, char**)
7 0x55915c1267fc grive main
8 0x7fc09e4ee223 /usr/lib/libc.so.6 __libc_start_main
9 0x55915c1273be grive _start

Felixoid commented on 2018-09-21 14:58

Thank you for the clarification!

edh commented on 2018-09-20 03:30

@Felixoid As stated in the commit message, I update the pkgrel whenever boost-lib is updated. I might have gotten a little bit to cautious with doing so but in the past grive broke on several occasions when being build with an older version.